cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Peter (JIRA)" <>
Subject [jira] [Reopened] (CB-3606) gv-requires.js generates incorrect module dependencies
Date Mon, 15 Jul 2013 05:02:48 GMT


Peter reopened CB-3606:

I understand this is just a minor issue for a tool which maybe nobody uses, but how is the
issue not applicable anymore? 

The gv-requires.js tool still exists and since it has not been modified in more than 1 yr
I think the problem still exists.
> gv-requires.js generates incorrect module dependencies
> ------------------------------------------------------
>                 Key: CB-3606
>                 URL:
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: CordovaJS
>    Affects Versions: 2.7.0
>            Reporter: Peter
>            Assignee: Filip Maj
>            Priority: Minor
> The regular expression logic for node detection in the GraphViz module dependency generation
tool (CB-340) is as follows:
> * It splits the JavaScript into modules based on "define" 
> * It then looks for "require" within those split fragments to determine dependencies
of that module.
> The problem is there are some files which make up the which do not
have this assumed "define" (eg bootstrap*.js) format. The effect is any requires in such files
will be wrongly attributed to the last module which did have a define.
> For example, the requires of bootstrap*.js are wrongly attributed as dependencies of
the prior define("cordova/utils"...
> The resulting graph which shows some dependencies which do not actually exist (eg "cordova/utils"
-> 'cordova/channel')

This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see:

View raw message